# $Revision: 1.28 $, $Date: 2011/06/02 18:02:16 $
Summary:	Tool for starting new kernel without reboot
Summary(pl.UTF-8):	Narzędzie pozwalające załadować nowe jądro bez konieczności restartu
Name:		kexec-tools
Version:	2.0.2
Release:	4
License:	GPL v2
Group:		Applications/System
Source0:	http://www.kernel.org/pub/linux/utils/kernel/kexec/%{name}-%{version}.tar.bz2
# Source0-md5:	35d05fed1c97008ac34c5bfb929295eb
Source1:	kexec.init
Source2:	kexec.sysconfig
URL:		http://www.kernel.org/pub/linux/utils/kernel/kexec/
BuildRequires:	autoconf
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	xz-devel
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.9
ExclusiveArch:	%{ix86} %{x8664} alpha arm ia64 mips ppc ppc64 s390 s390x sh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
kexec is a set of system calls that allows you to load another kernel
from the currently executing Linux kernel. The current implementation
has only been tested, and had the kinks worked out on x86, but the
generic code should work on any architecture.

%description -l pl.UTF-8
kexec to zestaw wywołań systemowych pozwalających załadować następne
jądro z poziomu aktualnie działającego jądra Linuksa. Aktualna
implementacja była testowana tylko na x86, ale ogólny kod powinien
działać na każdej architekturze.

%prep
%setup -q

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/kexec
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/kexec

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add kexec
%service kexec restart

%preun
if [ "$1" = "0" ]; then
	%service -q kexec stop
	/sbin/chkconfig --del kexec
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS News TODO
%attr(754,root,root) /etc/rc.d/init.d/kexec
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/kexec
%attr(755,root,root) %{_sbindir}/kdump
%attr(755,root,root) %{_sbindir}/kexec
%ifarch %{ix86} %{x8664}
%dir %{_libdir}/kexec-tools
# what is this anyway, is it needed on other arches?
%attr(755,root,root) %{_libdir}/kexec-tools/kexec_test
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kexec-tools.spec,v $
Revision 1.28  2011/06/02 18:02:16  glen
- release 4

Revision 1.27  2010/12/12 00:59:54  arekm
- release 3

Revision 1.26  2010/12/11 23:03:48  arekm
- release 2

Revision 1.25  2010/08/15 09:22:02  qboosh
- updated URLs
- updated to 2.0.2
- BR: xz-devel for LZMA support
- fixed kexec_test archs

Revision 1.24  2010/06/05 21:25:24  arvenil
- up to 2.0.1
- as-needed.patch no more needed
- release 1

Revision 1.23  2010/06/05 20:55:56  arvenil
- fix for configure.ac

Revision 1.22  2009/06/29 00:23:15  glen
- kexec_test n/a on ppc

Revision 1.21  2009/06/29 00:17:01  glen
- release 1

Revision 1.20  2009/06/29 00:14:35  glen
- rc-scripts with kexec support

Revision 1.19  2009/06/28 22:38:35  glen
- add initscript to load kexec image

Revision 1.18  2009/06/28 22:18:55  glen
- up to 2.0.0, new url

Revision 1.17  2007/02/13 08:06:37  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.15  2005/12/25 13:09:30  darekr
- BR: glibc-devel is already required by rpm-build

Revision 1.14  2005/12/01 12:43:55  glen
- cosmetics

Revision 1.13  2005/08/28 11:55:43  glen
- BR for tar --strip-components=1

Revision 1.12  2005/08/28 10:22:51  qboosh
- readded opt patch
- synced descs
- tar hack to avoid messing outside build subdir

Revision 1.11  2005/08/28 08:28:30  arekm
- update BR

Revision 1.10  2005/08/28 08:22:00  arekm
- rel 1

Revision 1.9  2005/08/28 08:13:53  arekm
- up to 1.101

Revision 1.8  2004/12/14 20:56:49  glen
- updated to 1.98
- put kexec to /sbin (rc.shutdown expects it there)

Revision 1.7  2004/12/13 20:25:38  glen
- add README to %doc

Revision 1.6  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.5  2003/07/14 11:55:28  qboosh
- added opt patch, pass CC and OPTFLAGS
- added en description (from %{URL}/README)
- removed bogus BR, added BR: glibc-static (tools are statically linked)

Revision 1.4  2003/07/13 15:39:11  eothane
- fixed Source0 (kernel_version, not kernel-version)

Revision 1.3  2003/07/13 15:28:16  erjot
- md5

Revision 1.2  2003/07/13 15:27:16  erjot
- adapterized

Revision 1.1  2003/07/13 15:13:22  erjot
- init version
